dnlcps.d(1m)

NAME
dnlcps.d - DNLC stats by process. Uses DTrace.

SYNOPSIS
dnlcps.d

DESCRIPTION
The DNLC is the Directory Name Lookup Cache. Filename lookups often return a hit from here, before needing to traverse the regular file system cache or go to disk. dnlcps.d prints DNLC statistics by process. Since this uses DTrace, only the root user or users with the dtrace_kernel privilege can run this command.

OS
Solaris

STABILITY
unstable - this script uses fbt provider probes which may change for future updates of the OS, invalidating this script. Please read Docs/Notes/ALLfbt_notes.txt for further details about these fbt scripts.

EXAMPLES

Sample until Ctrl-C is hit then print report,
    # dnlcps.d

FIELDS

PID process ID

CMD command name

value
    0 == miss, 1 == hit

count
    number of occurrences

DOCUMENTATION
See the DTraceToolkit for further documentation under the Docs directory. The DTraceToolkit docs may include full worked examples with verbose descriptions explaining the output.

EXIT
dnlcps.d will sample until Ctrl-C is hit.

AUTHOR
Brendan Gregg [Sydney, Australia]

SEE ALSO
dtrace(1M)